<!DOCTYPE HTML>
<html xmlns:th="http://www.thymeleaf.org">
<head>
    <title>Home Page</title>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
</head>
<body>
<div th:if="${email != null}" style="font-size:xx-large">
    <p th:text="|Hello, ${name}!|" />
    <p th:text="|Email, ${email}!|" />
    <a href="/data/index.html">Cloud Disk</a>
</div>
<div th:if="${email == null}" style="font-size: xx-large">
    <img src="https://cdn-teams-slug.flaticon.com/google.jpg" width="80"/>
    Login with Google: <a href="/oauth2/authorization/google">click here</a>
</div>

</body>
</html>